/**
 * WordPress dependencies
 */
const { InnerBlocks } = wp.editor;

const { __ } = wp.i18n;

const edit = (props) => {
	const { className } = props;
	return (
		<div className={className}>
			<InnerBlocks
				template={[
					[
						'core/heading',
						{
							placeholder: __(
								'Enter a heading for the featured links',
								'tasty-links'
							),
						},
					],
					[window.tastyLinksBlockEditor.individualLinkBlockType],
				]}
				allowedBlocks={[
					'core/heading',
					window.tastyLinksBlockEditor.individualLinkBlockType,
				]}
			/>
		</div>
	);
};

const save = (props) => {
	const { className } = props;
	return (
		<section className={className}>
			<InnerBlocks.Content />
		</section>
	);
};

const blockRegistration = {
	title: __('Tasty Links - Featured Links', 'tasty-links'),
	icon: 'admin-links',
	category: 'common',
	html: false,
	edit,
	save,
};

export default blockRegistration;
