/**
 * WordPress dependencies
 */
const { __ } = wp.i18n;
const { applyFormat } = wp.richText;

/**
 * Internal dependencies
 */
import InlineLinkUI from './inline';

export const name = 'tasty-links/tasty-link';

const settings = {
	tagName: 'span',
	className: 'tasty-link',
	title: __('Tasty Links', 'tasty-links'),
	attributes: {
		url: 'data-tasty-link-href',
		remove: 'data-tasty-link-remove',
	},
	edit: ({ isActive, activeAttributes, value, onChange }) => {
		const onRemoveLink = () => {
			onChange(
				applyFormat(value, { type: name, attributes: { remove: '1' } })
			);
		};
		return (
			<InlineLinkUI
				isActive={isActive}
				activeAttributes={activeAttributes}
				onRemoveLink={onRemoveLink}
				value={value}
			/>
		);
	},
};

export default settings;
