/**
 * WordPress dependencies
 */

const { SelectControl } = wp.components;
const { serverSideRender: ServerSideRender } = wp;

const { __ } = wp.i18n;

const edit = (props) => {
	const {
		attributes: { id },
		className,
		setAttributes,
	} = props;
	return (
		<div className={className}>
			{!id ? (
				<SelectControl
					label={__('Tasty Link', 'tasty-links')}
					options={window.tastyLinksBlockEditor.linkOptions}
					value={id}
					onChange={(value) => {
						setAttributes({ id: value });
					}}
				/>
			) : (
				<ServerSideRender
					block={window.tastyLinksBlockEditor.individualLinkBlockType}
					attributes={props.attributes}
				/>
			)}
		</div>
	);
};

// Renders dynamically on the frontend.
const save = () => {
	return null;
};

const blockRegistration = {
	title: __('Featured Link', 'tasty-links'),
	parent: [window.tastyLinksBlockEditor.featuredLinksBlockType],
	icon: 'admin-links',
	category: 'common',
	html: false,
	attributes: {
		id: {
			type: 'string',
		},
	},
	edit,
	save,
};

export default blockRegistration;
