(function($){
	$(document).on('tasty-recipes-pre-modal-show', function( event, recipeData ){
		var equipment = $('[name="tasty-links-equipment"]');

		var orderOptions = function() {
			var val = equipment.val();
			if ( val ) {
				val.reverse();
				$.each( val, function( index, id ){
					var original = $( 'option[value="' + id + '"]', equipment ).first();
					original.detach();
					equipment.prepend(original);
				});
			}
		};

		if ( typeof recipeData.tasty_links_equipment !== 'undefined' ) {
			equipment.val( recipeData.tasty_links_equipment );
			// Sets <option> in the <select> to the user's expected order.
			orderOptions();
			equipment.change();
		}
		equipment.tastyLinksSelect2();
		equipment.on('select2:open', function(){
			// z-index wars!
			$('.select2-container').css('z-index', 100000);
		});
		var sortableEl = equipment.next().children().children().children();
		sortableEl.sortable({
			containment: 'parent',
			stop: function (event, ui) {
				// Re-orders <option> in the <select> so order is persisted on save.
				ui.item.parent().children('[title]').each(function () {
					var title = $(this).attr('title');
					var original = $( 'option:contains(' + title + ')', equipment ).first();
					original.detach();
					equipment.prepend(original);
				});
				equipment.change();
			}
		});
		// When a new option is selected or unselected, the order needs to be modified.
		equipment.on('select2:select', function(){
			orderOptions();
		});
		equipment.on('select2:unselect', function(){
			orderOptions();
		});
	});
}(jQuery))
