<?php
/**
 * Amazon locales list with hosts and regions.
 *
 * @package Tasty_Links
 */

namespace Tasty_Links\Amazon;

/**
 * Amazon locales list with hosts and regions.
 */
class Locales {

	/**
	 * Available stores list.
	 *
	 * @var array
	 */
	const STORES = array(
		'amazon.com.au' => array(
			'locale' => 'Australia',
			'region' => 'us-west-2',
		),
		'amazon.com.be' => array(
			'locale' => 'Belgium',
			'region' => 'eu-west-1',
		),
		'amazon.com.br' => array(
			'locale' => 'Brazil',
			'region' => 'us-east-1',
		),
		'amazon.ca'     => array(
			'locale' => 'Canada',
			'region' => 'us-east-1',
		),
		'amazon.eg'     => array(
			'locale' => 'Egypt',
			'region' => 'eu-west-1',
		),
		'amazon.fr'     => array(
			'locale' => 'France',
			'region' => 'eu-west-1',
		),
		'amazon.de'     => array(
			'locale' => 'Germany',
			'region' => 'eu-west-1',
		),
		'amazon.in'     => array(
			'locale' => 'India',
			'region' => 'eu-west-1',
		),
		'amazon.it'     => array(
			'locale' => 'Italy',
			'region' => 'eu-west-1',
		),
		'amazon.co.jp'  => array(
			'locale' => 'Japan',
			'region' => 'us-west-2',
		),
		'amazon.com.mx' => array(
			'locale' => 'Mexico',
			'region' => 'us-east-1',
		),
		'amazon.nl'     => array(
			'locale' => 'Netherlands',
			'region' => 'eu-west-1',
		),
		'amazon.pl'     => array(
			'locale' => 'Poland',
			'region' => 'eu-west-1',
		),
		'amazon.sg'     => array(
			'locale' => 'Singapore',
			'region' => 'us-west-2',
		),
		'amazon.sa'     => array(
			'locale' => 'Saudi Arabia',
			'region' => 'eu-west-1',
		),
		'amazon.es'     => array(
			'locale' => 'Spain',
			'region' => 'eu-west-1',
		),
		'amazon.se'     => array(
			'locale' => 'Sweden',
			'region' => 'eu-west-1',
		),
		'amazon.com.tr' => array(
			'locale' => 'Turkey',
			'region' => 'eu-west-1',
		),
		'amazon.ae'     => array(
			'locale' => 'United Arab Emirates',
			'region' => 'eu-west-1',
		),
		'amazon.co.uk'  => array(
			'locale' => 'United Kingdom',
			'region' => 'eu-west-1',
		),
		'amazon.com'    => array(
			'locale' => 'United States',
			'region' => 'us-east-1',
		),
	);

	/**
	 * Get a single store.
	 *
	 * @param string $store Store name.
	 *
	 * @return array|null
	 */
	public static function get_one( $store ) {
		if ( ! array_key_exists( $store, self::STORES ) ) {
			return null;
		}
		return self::STORES[ $store ];
	}

	/**
	 * Get the stores from url regex.
	 *
	 * @return string
	 */
	public static function get_stores_regex() {
		$store_urls = array_keys( self::STORES );
		return '(?<store>' . implode( '|', $store_urls ) . ')';
	}
}
