<?php
/**
 * Plugin Name:     Tasty Links
 * Plugin URI:      https://www.persianscript.ir
 * Description:     Automatically link keywords to the URL of your choice.
 * Author:          پرشین اسکریپت
 * Author URI:      https://www.persianscript.ir
 * Text Domain:     tasty-links
 * Domain Path:     /languages
 * Version:         1.4
 *
 * @package         Tasty_Links
 */

define( 'TASTY_LINKS_PLUGIN_VERSION', '1.4' );
define( 'TASTY_LINKS_PLUGIN_FILE', __FILE__ );

add_action( 'init', array( 'Tasty_Links\Content_Model', 'action_init_register_post_types' ) );
add_action( 'init', array( 'Tasty_Links\Content_Model', 'action_init_register_cron_events' ) );
add_action( 'tasty_links_process_height_width', array( 'Tasty_Links\Content_Model', 'action_tasty_links_process_height_width' ) );
add_action( 'admin_init', array( 'Tasty_Links\Admin', 'action_admin_init' ) );
add_action( 'http_request_args', array( 'Tasty_Links\Admin', 'filter_http_request_args' ), 10, 2 );
add_action( 'pre_get_posts', array( 'Tasty_Links\Admin', 'action_pre_get_posts' ) );
add_action( 'admin_enqueue_scripts', array( 'Tasty_Links\Admin', 'action_admin_enqueue_scripts' ) );
add_action( 'admin_menu', array( 'Tasty_Links\Admin', 'action_admin_menu' ) );
add_filter( 'manage_posts_columns', array( 'Tasty_Links\Admin', 'filter_manage_posts_columns' ), 10, 2 );
add_action( 'manage_posts_custom_column', array( 'Tasty_Links\Admin', 'action_manage_posts_custom_column' ), 10, 2 );
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), array( 'Tasty_Links\Admin', 'filter_plugin_action_links' ) );
add_action( 'update_option_tasty_links_license_key', array( 'Tasty_Links\Admin', 'action_update_option_clear_transient' ) );
add_action( 'admin_post_tasty_links_convert_amazon_html', array( 'Tasty_Links\Admin', 'handle_admin_post_convert_amazon_html' ) );
add_filter( 'enter_title_here', array( 'Tasty_Links\Content_Model', 'filter_enter_title_here' ) );
add_action( 'init', array( 'Tasty_Links\Block_Editor', 'action_init_register' ) );
add_action( 'edit_form_top', array( 'Tasty_Links\Admin', 'action_edit_form_top' ) );
add_action( 'edit_form_after_title', array( 'Tasty_Links\Admin', 'action_edit_form_after_title' ) );
add_action( 'add_meta_boxes', array( 'Tasty_Links\Admin', 'action_add_meta_boxes' ), 11 );
add_action( 'admin_post_thumbnail_html', array( 'Tasty_Links\Admin', 'filter_admin_post_thumbnail_html' ), 10, 3 );
add_filter( 'mce_external_plugins', array( 'Tasty_Links\Admin', 'filter_mce_external_plugins' ) );
add_filter( 'teeny_mce_buttons', array( 'Tasty_Links\Admin', 'filter_teeny_mce_buttons' ), 10, 2 );
add_filter( 'teeny_mce_before_init', array( 'Tasty_Links\Admin', 'filter_teeny_mce_before_init' ), 10, 2 );
add_action( 'enqueue_block_editor_assets', array( 'Tasty_Links\Block_Editor', 'action_enqueue_block_editor_assets' ) );
add_filter( 'the_editor_content', array( 'Tasty_Links\Admin', 'filter_the_editor_content' ) );
add_action( 'rest_api_init', array( 'Tasty_Links\REST_API', 'action_rest_api_init' ) );
add_filter( 'content_save_pre', array( 'Tasty_Links\Admin', 'filter_content_save_pre' ) );
add_action( 'save_post_tasty_link', array( 'Tasty_Links\Admin', 'action_save_post' ) );
add_filter( 'the_content', array( 'Tasty_Links\Frontend', 'filter_the_content' ), 8 );
add_filter( 'render_block', array( 'Tasty_Links\Frontend', 'filter_render_block' ), 10, 2 );
add_filter( 'has_post_thumbnail', array( 'Tasty_Links\Frontend', 'filter_has_post_thumbnail_early' ), 1, 2 );
add_filter( 'post_thumbnail_html', array( 'Tasty_Links\Frontend', 'filter_post_thumbnail_html_early' ), 1, 2 );
add_filter( 'render_block', array( 'Tasty_Links\Block_Editor', 'filter_render_block' ), 10, 2 );

add_action( 'tasty_after_remove_admin_notices', array( 'Tasty_Links\Admin', 'register_tabs' ) );
add_action( 'admin_footer', array( 'Tasty_Links\Admin', 'add_admin_footer' ), 9 );
add_filter( 'tasty_framework_admin_menu_items', array( 'Tasty_Links\Admin', 'add_menu_item' ) );
add_filter( 'tasty_framework_admin_page_ours', array( 'Tasty_Links\Admin', 'make_links_cpt_menu_item_ours' ) );
add_filter( 'tasty_framework_show_license_notice', array( 'Tasty_Links\Admin', 'show_notice_in_links_cpt' ), 10, 2 );
add_action( 'tasty_framework_admin_enqueue_assets_after', array( 'Tasty_Links\Admin', 'enqueue_assets' ) );
add_action( 'admin_head', array( 'Tasty_Links\Admin', 'handle_cpt_menu_item_classes' ) );

add_filter( 'tasty_links_disable_attachment_auto_link', '__return_true' );

/**
 * Integrations
 */
add_action(
	'add_meta_boxes',
	array(
		'Tasty_Links\Integrations\Feast',
		'action_add_meta_boxes_late',
	),
	100
);
add_action( 'tasty_recipes_editor_after_video_url', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'action_tasty_recipes_editor_after_video_url' ) );
add_action( 'tasty_recipes_enqueue_editor_scripts', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'action_tasty_recipes_enqueue_editor_scripts' ) );
add_filter( 'tasty_recipes_pre_save_editor_data', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'filter_tasty_recipes_pre_save_editor_data' ), 10, 2 );
add_action( 'tasty_recipes_after_save_editor_data', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'action_tasty_recipes_after_save_editor_data' ), 10, 2 );
add_filter( 'tasty_recipes_shortcode_response_recipe_json', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'filter_tasty_recipes_shortcode_response_recipe_json' ) );
add_filter( 'tasty_recipes_recipe_card_output', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'filter_tasty_recipes_content' ) );
add_filter( 'tasty_recipes_recipe_template_vars', array( 'Tasty_Links\Integrations\Tasty_Recipes', 'filter_tasty_recipes_recipe_template_vars_early' ), 1, 2 );

add_filter( 'wprm_recipe_shortcode_output', array( 'Tasty_Links\Integrations\Wprm', 'filter_wprm_content' ) );
add_filter( 'wprm_recipe_data', array( 'Tasty_Links\Integrations\Wprm', 'filter_wprm_recipe_data' ) );

wp_cache_add_non_persistent_groups( 'tasty-links' );

/**
 * Whether or not Tasty Links should be applied.
 *
 * @param string $context Context in which Tasty Links is applied.
 * @return boolean
 */
function tasty_links_should_be_applied( $context ) {
	$apply = true;
	if ( $context === 'tasty-recipes' ) {
		$apply = ! Tasty_Links\Integrations\Tasty_Recipes::is_disabled();
	}
	return apply_filters( 'tasty_links_should_be_applied', $apply, $context );
}

// Load Tasty framework.
require_once implode(
	DIRECTORY_SEPARATOR,
	array(
		dirname( TASTY_LINKS_PLUGIN_FILE ),
		'inc',
		'libs',
		'tasty-framework',
		'tasty-framework.php',
	)
);

/**
 * Register the class autoloader
 */
spl_autoload_register(
	function ( $class_name ) {
		$class_name = ltrim( $class_name, '\\' );
		if ( 0 !== stripos( $class_name, 'Tasty_Links\\' ) ) {
			return;
		}

		$parts = explode( '\\', $class_name );
		array_shift( $parts ); // Don't need "Tasty_Links".
		$last    = array_pop( $parts ); // File should be 'class-[...].php'.
		$last    = 'class-' . $last . '.php';
		$parts[] = $last;
		$file    = __DIR__ . '/inc/' . str_replace( '_', '-', strtolower( implode( '/', $parts ) ) );
		if ( file_exists( $file ) ) {
			require $file;
		}
	}
);

add_action(
	'plugins_loaded',
	function () {
		\Tasty_Links\Amazon\Controller::get_instance();
	}
);

/**
 * Register the plugin activation hook
 */
register_activation_hook( __FILE__, array( 'Tasty_Links\Admin', 'plugin_activation' ) );
