<?php
/**
 * About page template.
 *
 * @package Tasty_Links
 */

?>

<main>

	<section>
		<h2><?php esc_html_e( 'Welcome to Tasty Links! 🎉', 'tasty-links' ); ?></h2>

		<p><?php esc_html_e( 'Tasty Links is a powerful auto-linking plugin that can help you increase affiliate income and improve internal linking on your site. By purchasing Tasty Links, you\'re getting access to amazing auto-linking capabilities, superior code quality, and a helpful support team ready to answer all your questions.', 'tasty-links' ); ?></p>

		<h2><?php esc_html_e( 'Getting Started', 'tasty-links' ); ?></h2>

		<p><?php esc_html_e( 'Tasty Links is extremely easy to use. Just create a new Tasty Link with a keyword to match and a destination URL and press "Publish." The links will automatically appear across your entire site anywhere the keyword is mentioned.', 'tasty-links' ); ?></p>

		<p><a class="tasty-button" href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'tasty_link' ), admin_url( 'post-new.php' ) ) ); ?>"><?php esc_html_e( 'Create a Tasty Link', 'tasty-links' ); ?></a></p>

	</section>

	<section>

		<h2><?php esc_html_e( 'Feature Your Favorite Links', 'tasty-links' ); ?></h2>

		<img src="<?php echo esc_url( plugins_url( 'assets/images/featured-links-block.png', __DIR__ ) ); ?>" class="tasty-shadow-lg" data-pin-nopin="true" alt="Screenshot of a Featured Links block with Chef's Knife, Slow Cooker, and Cast Iron Skillet items" />

		<p><?php esc_html_e( 'The Featured Links block enables you to showcase your favorite links related to your post anywhere in the content. Simply add a new Featured Links block to the page, select which links you\'d like to show, and enjoy the extra clicks those featured links bring in.', 'tasty-links' ); ?></p>

	</section>

	<section>

		<h2><?php esc_html_e( 'Add a Disclosure for Affiliate Links', 'tasty-links' ); ?></h2>

		<img src="<?php echo esc_url( plugins_url( 'assets/images/affiliate-link-disclosure.png', __DIR__ ) ); ?>" class="tasty-shadow-lg" data-pin-nopin="true" alt="Screenshot of the Tasty Links settings page with disclosure field" />

		<p><?php esc_html_e( 'FTC regulations require that affiliate links are disclosed to the reader. Tasty Links makes this easy. On the Tasty Links settings page, set the disclosure text you\'d like to use and define the disclosure location. The disclosure can either appear after every link, or at the top of any page that contains an affiliate link.', 'tasty-links' ); ?></p>

		<p><?php esc_html_e( 'Each link has its own disclosure settings, so if the link doesn\'t require a disclosure, it won\'t trigger one on the page.', 'tasty-links' ); ?></p>

		<p><a class="tasty-button" href="<?php menu_page_url( Tasty_Links\Admin::PAGE_SLUG, true ); ?>"><?php esc_html_e( 'Visit Settings', 'tasty-links' ); ?></a></p>

	</section>

	<section>

		<h2><?php esc_html_e( 'Add the Nofollow Attribute for Affiliate Links', 'tasty-links' ); ?></h2>

		<img src="<?php echo esc_url( plugins_url( 'assets/images/individual-link-settings.png', __DIR__ ) ); ?>" class="lower tasty-shadow-lg" data-pin-nopin="true" alt="Screenshot of the Tasty Link UI for an individual link" />

		<p><?php esc_html_e( 'Tasty Links makes it easy to add the rel="nofollow" attribute to any link that can generate affiliate income for your business.', 'tasty-links' ); ?></p>

		<p><?php esc_html_e( 'For links that don\'t generate income, you can turn the nofollow attribute off.', 'tasty-links' ); ?></p>

	</section>

	<section>

		<h2><?php esc_html_e( 'Visit Our Documentation', 'tasty-links' ); ?></h2>

		<p><?php esc_html_e( 'There\'s even more to Tasty Links! To learn more and get answers to your questions, visit our plugin documentation. If your questions aren\'t answered there, send us a quick chat and we\'ll be happy to help.', 'tasty-links' ); ?></p>

		<p><a class="tasty-button" href="https://support.wptasty.com/tasty-links" target="_blank"><?php esc_html_e( 'Visit Documentation', 'tasty-links' ); ?></a></p>

	</section>


</main>
