<?php
/**
 * Conversion modal template.
 *
 * @package Tasty_Links
 */

$action_url = add_query_arg(
	array(
		'action' => 'tasty_links_convert_amazon_html',
		'nonce'  => wp_create_nonce( 'tasty_links_convert_amazon_html' ),
	),
	admin_url( 'admin-post.php' )
);
?>

<div class="tasty-links-modal-container tasty-framework-modal tasty-framework-dashboard-modal" style="display:none">
	<div class="tasty-framework-modal-container">
		<a href="#" class="tasty-framework-close-modal tasty-framework-modal-x tasty-links-modal-close"></a>

		<div class="tasty-framework-modal-header">
			<h2>
				<?php esc_html_e( 'Add Amazon Link', 'tasty-links' ); ?>
			</h2>
		</div>
		<div class="tasty-framework-modal-body">
			<div class="tasty-framework-modal-body-form">
				<form method="POST" action="<?php echo esc_url( $action_url ); ?>">
					<div class="tasty-framework-modal-body-form-field">
						<label for="tasty_links_amazon_html">
							<?php esc_html_e( 'Paste an Amazon Associates link', 'tasty-links' ); ?>
						</label>
						<textarea id="tasty_links_amazon_html" name="tasty_links_amazon_html" cols="30" rows="7" required></textarea>
					</div>
					<div class="tasty-framework-modal-body-form-field">
						<button type="submit" href="#" class="tasty-button tasty-button-pink tasty-button-large tasty-button-full">
							<?php esc_html_e( 'Save Link', 'tasty-links' ); ?>
						</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
